%define	name engrave
%define	version 0.1.0
%define cvs 20080208
%define release %mkrel %cvs.2

%define major 0
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d

Summary: 	Enlightenment eet file manipulation library
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	BSD
Group: 		System/Libraries
URL: 		http://www.enlightenment.org/
Source: 	%{name}-%{cvs}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	evas-devel
BuildRequires:	ecore-devel
BuildRequires:	flex bison

%description
Engrave is a library for editing the contents of an edje .eet file.

This package is part of the Enlightenment DR17 desktop shell.

%package -n %libname
Summary: Libraries for the %{name} package
Group: System/Libraries

%description -n %libname
Libraries for %{name}

%package -n %libnamedev
Summary: Headers and development libraries from %{name}
Group: Development/Other
Requires: %libname = %{version}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %name-devel = %{version}-%{release}

%description -n %libnamedev
%{name} development headers and libraries

%prep
%setup -q -n %name

%build
NOCONFIGURE=1 ./autogen.sh
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_bindir}/%{name}_*

%files -n %libname
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %libnamedev
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_includedir}/%name
%{_libdir}/pkgconfig/%name.pc


%changelog
* Sun Jun 01 2008 Funda Wang <fundawang@mandriva.org> 0.1.0-20080208.2mdv2009.0
+ Revision: 214029
- spec cleanup

* Mon Feb 18 2008 Antoine Ginies <aginies@mandriva.com> 0.1.0-20080208.2mdv2008.1
+ Revision: 171326
- bump release

* Sat Feb 09 2008 Austin Acton <austin@mandriva.org> 0.1.0-20080208.1mdv2008.1
+ Revision: 164330
- fix release
- new checkout
- remove engrave-config
- fix URL
- no major in devel
- tidy spec

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Oct 31 2007 Antoine Ginies <aginies@mandriva.com> 0.1.0-4mdv2008.1
+ Revision: 104076
- CVS SNAPSHOT 20071031, release 0.1.0

* Fri Aug 31 2007 Antoine Ginies <aginies@mandriva.com> 0.1.0-3mdv2008.0
+ Revision: 76731
- fix missgin file engrave-config
- fix path in tarball
- CVS SNAPSHOT 20070830, release 0.1.0

* Tue May 29 2007 Antoine Ginies <aginies@mandriva.com> 0.1.0-2mdv2008.0
+ Revision: 32632
- CVS SNAPSHOT 20070529, release 0.1.0
- few update in specfile

* Fri May 25 2007 Antoine Ginies <aginies@mandriva.com> 0.1.0-1mdv2008.0
+ Revision: 31020
- fix missing files
- CVS snapshot 20070524

  + Pascal Terjan <pterjan@mandriva.org>
    - Import engrave



* Fri Mar 24 2006 Austin Acton <austin@mandriva.org> 0.1.0-0.20060323.1mdk
- new cvs checkout

* Fri Feb 17 2006 Austin Acton <austin@mandriva.org> 0.1.0-0.20060216.1mdk
- new cvs checkout

* Wed Jan 18 2006 Austin Acton <austin@mandriva.org> 0.1.0-0.20060117.1mdk
- new cvs checkout

* Fri Nov 25 2005 Austin Acton <austin@mandriva.org> 0.1.0-0.20051124.1mdk
- new cvs checkout

* Wed Nov 09 2005 Austin Acton <austin@mandriva.org> 0.1.0-0.20051109.1mdk
- new cvs checkout

* Sun Nov 06 2005 Austin Acton <austin@mandriva.org> 0.1.0-0.20051104.1mdk
- new cvs checkout

* Mon Sep 05 2005 Austin Acton <austin@mandriva.org> 0.1.0-0.20050904.1mdk
- new cvs checkout

* Sun Aug 14 2005 Austin Acton <austin@mandriva.org> 0.1.0-0.20050813.1mdk
- new cvs checkout

* Mon Jun 27 2005 Austin Acton <austin@mandriva.org> 0.1.0-0.20050627.1mdk
- new cvs checkout

* Wed Jun 08 2005 Austin Acton <austin@mandriva.org> 0.1.0-0.20050608.1mdk
- new cvs checkout

* Wed May 25 2005 Austin Acton <austin@mandriva.org> 0.1.0-0.20050524.2mdk
- multiarch binaries

* Wed May 25 2005 Austin Acton <austin@mandriva.org> 0.1.0-0.20050524.1mdk
- new cvs checkout

* Fri May 13 2005 Austin Acton <austin@mandriva.org> 0.1.0-0.20050511.1mdk
- initial package
